Package twisted :: Package internet :: Module base :: Class DelayedCall |
[frames | no frames]

## Class DelayedCall

    Ephemeral --+
                |
               DelayedCall

Method Summary
| `__init__(self, time, func, args, kw, cancel, reset)`
| `__lt__(self, other)`
| `__str__(self)`
`bool` | ``active`(self)` Determine whether this call is still pending
| ``cancel`(self)` Unschedule this call
| ``delay`(self, secondsLater)` Reschedule this call for a later time
`float` | ``getTime`(self)` Return the time at which this call will fire
| ``reset`(self, secondsFromNow)` Reschedule this call for a different time
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.IDelayedCall`
`int` | `debug` = 0

Method Details

### active(self) Determine whether this call is still pending Returns: True if this call has not yet been made or cancelled, False otherwise. (type=`bool`)

### cancel(self) Unschedule this call Raises: `AlreadyCancelled` - Raised if this call has already been unscheduled. `AlreadyCalled` - Raised if this call has already been made.

### delay(self, secondsLater) Reschedule this call for a later time Parameters: `secondsLater` - The number of seconds after the originally scheduled time for which to reschedule this call. (type=`float`) Raises: `AlreadyCancelled` - Raised if this call has been cancelled. `AlreadyCalled` - Raised if this call has already been made.

### getTime(self) Return the time at which this call will fire Returns: The number of seconds after the epoch at which this call is scheduled to be made. (type=`float`)

### reset(self, secondsFromNow) Reschedule this call for a different time Parameters: `secondsFromNow` - The number of seconds from the time of the `reset` call at which this call will be scheduled. (type=`float`) Raises: `AlreadyCancelled` - Raised if this call has been cancelled. `AlreadyCalled` - Raised if this call has already been made.

Class Variable Details

    ### debug Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net